CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  What's the CVSS score of your company?
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Security Vulnerabilities Published In 2018(Overflow)

Press ESC to close
# CVE ID CWE ID # of Exploits Vulnerability Type(s) Publish Date Update Date Score Gained Access Level Access Complexity Authentication Conf. Integ. Avail.
151 CVE-2018-18583 787 Overflow 2018-10-22 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
An issue has been found in LuPng through 2017-03-10. It is a heap-based buffer overflow in insertByte in miniz/lupng.c during a write operation for data obtained from a swap.
152 CVE-2018-18582 787 Overflow 2018-10-22 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
An issue has been found in LuPng through 2017-03-10. It is a heap-based buffer overflow in insertByte in miniz/lupng.c during a write operation for data obtained from a palette.
153 CVE-2018-18520 119 DoS Overflow 2018-10-19 2021-11-30
4.3
None Remote Medium Not required None None Partial
An Invalid Memory Address Dereference exists in the function elf_end in libelf in elfutils through v0.174. Although eu-size is intended to support ar files inside ar files, handle_ar in size.c closes the outer ar file before handling all inner entries. The vulnerability allows attackers to cause a denial of service (application crash) with a crafted ELF file.
154 CVE-2018-18483 190 DoS Overflow 2018-10-18 2019-10-31
6.8
None Remote Medium Not required Partial Partial Partial
The get_count function in cplus-dem.c in GNU libiberty, as distributed in GNU Binutils 2.31, allows remote attackers to cause a denial of service (malloc called with the result of an integer-overflowing calculation) or possibly have unspecified other impact via a crafted string, as demonstrated by c++filt.
155 CVE-2018-18440 119 Overflow 2018-11-20 2019-12-10
7.2
None Local Low Not required Complete Complete Complete
DENX U-Boot through 2018.09-rc1 has a locally exploitable buffer overflow via a crafted kernel image because filesystem loading is mishandled.
156 CVE-2018-18439 119 Overflow 2018-11-20 2019-01-02
10.0
None Remote Low Not required Complete Complete Complete
DENX U-Boot through 2018.09-rc1 has a remotely exploitable buffer overflow via a malicious TFTP server because TFTP traffic is mishandled. Also, local exploitation can occur via a crafted kernel image.
157 CVE-2018-18438 190 Overflow 2018-10-19 2021-08-04
2.1
None Local Low Not required None None Partial
Qemu has integer overflows because IOReadHandler and its associated functions use a signed integer data type for a size value.
158 CVE-2018-18384 119 Overflow 2018-10-16 2019-12-16
4.3
None Remote Medium Not required None None Partial
Info-ZIP UnZip 6.0 has a buffer overflow in list.c, when a ZIP archive has a crafted relationship between the compressed-size value and the uncompressed-size value, because a buffer size is 10 and is supposed to be 12.
159 CVE-2018-18356 787 Overflow 2018-12-11 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
An integer overflow in path handling lead to a use after free in Skia in Google Chrome prior to 71.0.3578.80 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page.
160 CVE-2018-18341 787 Overflow 2018-12-11 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
An integer overflow leading to a heap buffer overflow in Blink in Google Chrome prior to 71.0.3578.80 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page.
161 CVE-2018-18335 787 Overflow 2018-12-11 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
Heap buffer overflow in Skia in Google Chrome prior to 71.0.3578.80 allowed a remote attacker to potentially exploit heap corruption via a crafted HTML page.
162 CVE-2018-18314 119 Overflow 2018-12-07 2020-07-15
7.5
None Remote Low Not required Partial Partial Partial
Perl before 5.26.3 has a buffer overflow via a crafted regular expression that triggers invalid write operations.
163 CVE-2018-18312 119 Overflow 2018-12-05 2020-07-15
7.5
None Remote Low Not required Partial Partial Partial
Perl before 5.26.3 and 5.28.0 before 5.28.1 has a buffer overflow via a crafted regular expression that triggers invalid write operations.
164 CVE-2018-18311 787 Overflow 2018-12-07 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
Perl before 5.26.3 and 5.28.x before 5.28.1 has a buffer overflow via a crafted regular expression that triggers invalid write operations.
165 CVE-2018-18310 119 DoS Overflow 2018-10-15 2021-11-30
4.3
None Remote Medium Not required None None Partial
An invalid memory address dereference was discovered in dwfl_segment_report_module.c in libdwfl in elfutils through v0.174. The vulnerability allows attackers to cause a denial of service (application crash) with a crafted ELF file, as demonstrated by consider_notes.
166 CVE-2018-18309 119 DoS Overflow 2018-10-15 2019-10-31
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.31. An invalid memory address dereference was discovered in read_reloc in reloc.c. The vulnerability causes a segmentation fault and application crash, which leads to denial of service, as demonstrated by objdump, because of missing _bfd_clear_contents bounds checking.
167 CVE-2018-18274 787 Overflow 2018-10-12 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
A issue was found in pdfalto 0.2. There is a heap-based buffer overflow in the TextPage::addAttributsNode function in XmlAltoOutputDev.cc.
168 CVE-2018-18197 119 Overflow 2018-10-09 2018-12-04
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in libgig 4.1.0. There is an operator new[] failure (due to a big pSampleLoops heap request) in DLS::Sampler::Sampler in DLS.cpp.
169 CVE-2018-18193 119 Overflow 2018-10-09 2018-11-21
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered in libgig 4.1.0. There is operator new[] failure (due to a big pWavePoolTable heap request) in DLS::File::File in DLS.cpp.
170 CVE-2018-18096 119 DoS Overflow 2018-12-14 2019-01-04
2.1
None Local Low Not required None None Partial
Improper memory handling in Intel QuickAssist Technology for Linux (all versions) may allow an authenticated user to potentially enable a denial of service via local access.
171 CVE-2018-18026 787 DoS Exec Code Overflow 2018-10-19 2020-08-24
4.6
None Local Low Not required Partial Partial Partial
IMFCameraProtect.sys in IObit Malware Fighter 6.2 (and possibly lower versions) is vulnerable to a stack-based buffer overflow. The attacker can use DeviceIoControl to pass a user specified size which can be used to overwrite return addresses. This can lead to a denial of service or code execution attack.
172 CVE-2018-17962 119 Overflow 2018-10-09 2020-08-24
5.0
None Remote Low Not required None None Partial
Qemu has a Buffer Overflow in pcnet_receive in hw/net/pcnet.c because an incorrect integer data type is used.
173 CVE-2018-17958 190 Overflow 2018-10-09 2020-09-10
5.0
None Remote Low Not required None None Partial
Qemu has a Buffer Overflow in rtl8139_do_receive in hw/net/rtl8139.c because an incorrect integer data type is used.
174 CVE-2018-17942 787 Overflow 2018-10-03 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
The convert_to_decimal function in vasnprintf.c in Gnulib before 2018-09-23 has a heap-based buffer overflow because memory is not allocated for a trailing '\0' character during %f processing.
175 CVE-2018-17930 787 Exec Code Overflow 2018-11-28 2020-09-18
10.0
None Remote Low Not required Complete Complete Complete
A stack-based buffer overflow vulnerability has been identified in Teledyne DALSA Sherlock Version 7.2.7.4 and prior, which may allow remote code execution.
176 CVE-2018-17929 787 Exec Code Overflow 2018-10-11 2020-09-18
6.8
None Remote Medium Not required Partial Partial Partial
In Delta Industrial Automation TPEditor, TPEditor Versions 1.90 and prior, multiple stack-based buffer overflow vulnerabilities may be exploited by processing specially crafted project files lacking user input validation before copying data from project files onto the stack and may allow an attacker to remotely execute arbitrary code.
177 CVE-2018-17916 787 Exec Code Overflow 2018-11-02 2021-04-08
10.0
None Remote Low Not required Complete Complete Complete
InduSoft Web Studio versions prior to 8.1 SP2, and InTouch Edge HMI (formerly InTouch Machine Edition) versions prior to 2017 SP2. A remote attacker could send a carefully crafted packet to exploit a stack-based buffer overflow vulnerability during tag, alarm, or event related actions such as read and write, with potential for code to be executed. If InduSoft Web Studio remote communication security was not enabled, or a password was left blank, a remote user could send a carefully crafted packet to invoke an arbitrary process, with potential for code to be executed. The code would be executed under the privileges of the InduSoft Web Studio or InTouch Edge HMI runtime and could lead to a compromise of the InduSoft Web Studio or InTouch Edge HMI server machine.
178 CVE-2018-17911 787 Exec Code Overflow 2018-10-17 2020-09-18
6.8
None Remote Medium Not required Partial Partial Partial
LAquis SCADA Versions 4.1.0.3870 and prior has several stack-based buffer overflow vulnerabilities, which may allow remote code execution.
179 CVE-2018-17910 119 Exec Code Overflow 2018-10-29 2019-10-09
9.3
None Remote Medium Not required Complete Complete Complete
WebAccess Versions 8.3.2 and prior. The application fails to properly validate the length of user-supplied data, causing a buffer overflow condition that allows for arbitrary remote code execution.
180 CVE-2018-17905 119 Overflow Mem. Corr. 2018-11-05 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
When processing project files in Omron CX-Supervisor Versions 3.4.1.0 and prior and tampering with a specific byte, memory corruption may occur within a specific object.
181 CVE-2018-17897 190 Exec Code Overflow 2018-10-17 2018-11-30
7.5
None Remote Low Not required Partial Partial Partial
LAquis SCADA Versions 4.1.0.3870 and prior has several integer overflow to buffer overflow vulnerabilities, which may allow remote code execution.
182 CVE-2018-17847 119 Overflow 2018-10-01 2020-08-24
5.0
None Remote Low Not required None None Partial
The html package (aka x/net/html) through 2018-09-25 in Go mishandles <svg><template><desc><t><svg></template>, leading to a "panic: runtime error" (index out of range) in (*nodeStack).pop in node.go, called from (*parser).clearActiveFormattingElements, during an html.Parse call.
183 CVE-2018-17795 787 DoS Overflow 2018-09-30 2020-10-16
6.8
None Remote Medium Not required Partial Partial Partial
The function t2p_write_pdf in tiff2pdf.c in LibTIFF 4.0.9 and earlier allows remote attackers to cause a denial of service (heap-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted TIFF file, a similar issue to CVE-2017-9935.
184 CVE-2018-17706 119 Exec Code Overflow 2018-10-29 2019-10-09
6.8
None Remote Medium Not required Partial Partial Partial
This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Foxit PhantomPDF Phantom PDF 9.1.5096. User interaction is required to exploit this vulnerability in that the target must visit a malicious page or open a malicious file. The specific flaw exists within fxhtml2pdf. The issue results from the lack of proper validation of user-supplied data, which can result in a memory access past the end of an allocated buffer. An attacker can leverage this vulnerability to execute code under the context of the current process. Was ZDI-CAN-6230.
185 CVE-2018-17614 119 Exec Code Overflow 2018-11-13 2019-10-09
5.8
None Local Network Low Not required Partial Partial Partial
This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of Losant Arduino MQTT Client prior to V2.7. User interaction is not required to exploit this vulnerability. The specific flaw exists within the parsing of MQTT PUBLISH packets. The issue results from the lack of proper validation of the length of user-supplied data prior to copying it to a fixed-length stack-based buffer. An attacker can leverage this vulnerability to execute code in the context of the current process. Was ZDI-CAN-6436.
186 CVE-2018-17570 190 Overflow Mem. Corr. 2018-09-26 2018-11-26
7.5
None Remote Low Not required Partial Partial Partial
utils/ut_ws_svr.c in ViaBTC Exchange Server before 2018-08-21 has an integer overflow leading to memory corruption.
187 CVE-2018-17569 190 Overflow Mem. Corr. 2018-09-26 2018-11-26
7.5
None Remote Low Not required Partial Partial Partial
network/nw_buf.c in ViaBTC Exchange Server before 2018-08-21 has an integer overflow leading to memory corruption.
188 CVE-2018-17568 190 Overflow Mem. Corr. 2018-09-26 2018-11-20
7.5
None Remote Low Not required Partial Partial Partial
utils/ut_rpc.c in ViaBTC Exchange Server before 2018-08-21 has an integer overflow leading to memory corruption.
189 CVE-2018-17540 119 Overflow 2018-10-03 2019-12-01
5.0
None Remote Low Not required None None Partial
The gmp plugin in strongSwan before 5.7.1 has a Buffer Overflow via a crafted certificate.
190 CVE-2018-17439 787 Overflow 2018-09-24 2020-08-24
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the HDF HDF5 1.10.3 library. There is a stack-based buffer overflow in the function H5S_extent_get_dims() in H5S.c. Specifically, this issue occurs while converting an HDF5 file to a GIF file.
191 CVE-2018-17433 787 DoS Overflow 2018-09-24 2020-08-24
4.3
None Remote Medium Not required None None Partial
A heap-based buffer overflow in ReadGifImageDesc() in gifread.c in the HDF HDF5 through 1.10.3 library allows attackers to cause a denial of service via a crafted HDF5 file. This issue was triggered while converting a GIF file to an HDF file.
192 CVE-2018-17408 787 Exec Code Overflow 2018-10-03 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
Stack-based buffer overflows in Zahir Accounting Enterprise Plus 6 through build 10b allow remote attackers to execute arbitrary code via a crafted CSV file that is accessed through the Import CSV File menu.
193 CVE-2018-17407 119 Exec Code Overflow 2018-09-23 2018-11-15
6.8
None Remote Medium Not required Partial Partial Partial
An issue was discovered in t1_check_unusual_charstring functions in writet1.c files in TeX Live before 2018-09-21. A buffer overflow in the handling of Type 1 fonts allows arbitrary code execution when a malicious font is loaded by one of the vulnerable tools: pdflatex, pdftex, dvips, or luatex.
194 CVE-2018-17359 119 DoS Overflow 2018-09-23 2019-10-31
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.31. An invalid memory access exists in bfd_zalloc in opncls.c. Attackers could leverage this vulnerability to cause a denial of service (application crash) via a crafted ELF file.
195 CVE-2018-17358 119 DoS Overflow 2018-09-23 2019-10-31
4.3
None Remote Medium Not required None None Partial
An issue was discovered in the Binary File Descriptor (BFD) library (aka libbfd), as distributed in GNU Binutils 2.31. An invalid memory access exists in _bfd_stab_section_find_nearest_line in syms.c. Attackers could leverage this vulnerability to cause a denial of service (application crash) via a crafted ELF file.
196 CVE-2018-17338 787 Overflow 2018-09-23 2020-08-24
6.8
None Remote Medium Not required Partial Partial Partial
An issue has been found in pdfalto through 0.2. It is a heap-based buffer overflow in the function TextPage::dump in XmlAltoOutputDev.cc.
197 CVE-2018-17334 787 DoS Overflow 2018-09-22 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in libsvg2 through 2012-10-19. A stack-based buffer overflow in the svgGetNextPathField function in svg_string.c allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact because a strncpy copy limit is miscalculated.
198 CVE-2018-17333 787 DoS Overflow 2018-09-22 2020-08-24
7.5
None Remote Low Not required Partial Partial Partial
An issue was discovered in libsvg2 through 2012-10-19. A stack-based buffer overflow in svgStringToLength in svg_types.c allows remote attackers to cause a denial of service (application crash) or possibly have unspecified other impact because sscanf is misused.
199 CVE-2018-17230 787 DoS Overflow 2018-09-19 2020-08-24
4.3
None Remote Medium Not required None None Partial
Exiv2::ul2Data in types.cpp in Exiv2 v0.26 allows remote attackers to cause a denial of service (heap-based buffer overflow) via a crafted image file.
200 CVE-2018-17229 787 DoS Overflow 2018-09-19 2020-08-24
4.3
None Remote Medium Not required None None Partial
Exiv2::d2Data in types.cpp in Exiv2 v0.26 allows remote attackers to cause a denial of service (heap-based buffer overflow) via a crafted image file.
Total number of vulnerabilities : 2121   Page : 1 2 3 4 (This Page)5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43
CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.